using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class JanelaLevel1 : MonoBehaviour {

    public GameObject gerenciador;
    public string[] respostas;
    public string pergunta;
    public string respostaCorreta;
    public string respostaSelecionada;
    public Text[] textoPerguntas;//referência do objeto UI setado na aba propriedades
    public Text perguntaNaTela;//referência do objeto UI setado na aba propriedades
    public int pontuacaoEquivalente = 1;


    void Start()
    {
        SetarRespostas(); //Setar respostas aos elementos de UI
        SetarPergunta();//Setar a pergunta ao elemento de UI

        gerenciador = GameObject.Find("Gerenciador");
    }
    private void VerificarResposta()
    {



        if (respostaSelecionada == respostaCorreta)
        {
            gerenciador.GetComponent<GerenciadorLevel1>().somaCorretas += 1;
            //executa determinada
            Destroy(gameObject);
            print("Correta");

        }
        else
        {
            print("Incorreta");
            Destroy(gameObject);
        }
         
    }
    private void SetarRespostas()
    {
        for (int i = 0; i < respostas.Length; i++)
        {

            textoPerguntas[i].text = respostas[i];
        }
    }

    public void PrimeiraResposta()
    {
        
        respostaSelecionada = respostas[0];
        VerificarResposta();//Verifica se a resposta selecionada está correta
        gerenciador.GetComponent<GerenciadorLevel1>().instanciarProxima = true;
        Destroy(gameObject);
        

    }
    public void SegundaResposta()
    {
        respostaSelecionada = respostas[1];
        VerificarResposta();//Verifica se a resposta selecionada está correta
        gerenciador.GetComponent<GerenciadorLevel1>().instanciarProxima = true;
        Destroy(gameObject);

    }

    public void SetarPergunta()
    {
        perguntaNaTela.text = pergunta;
    }

}
